Subject: Re: [PATCH 5/5] net/ipv4 : Correct the size argument to kzalloc

From: Patrick McHardy <[email-masked]>
Date: Mon, 04 Jan 2010 15:23:23 +0100

Julia Lawall wrote:
> From: Julia Lawall <[email-masked]>
> 
> obj has type struct snmp_object **, not struct snmp_object *.  But indeed
> it is not even clear why kmalloc is needed.  The memory is freed by the end
> of the function, so the local variable of pointer type should be sufficient.

Thanks. As this is basically just an unneeded and oversized allocation
without any bad consequences, I've applied it to nf-next-2.6.git.